# $Id: smeserver-denyhosts.spec,v 1.9 2015/03/31 13:40:22 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-denyhosts
%define name smeserver-denyhosts
%define version 2.9
%define release 6
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
Patch0: smeserver-denyhosts-2.9-regexpatch.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 8.0
Requires: denyhosts >= 2.6-20
Requires: e-smith-formmagick >= 1.4.0-12

%description
Integration package to mesh denyhosts with SME Server.

%prep
%setup
%patch0 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Mon Mar 30 2015 JP Pialasse <tests@pialasse.com> 2.9-6.sme
- fixed non working REGEX [SME: 8894]
- fixed should isntall epel version not repoforge [SME: 8892]

* Sun Mar 29 2015 JP Pialasse <tests@pialasse.com> 2.9-1.sme
- fixed path to perl modules

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 2.8-1.sme
- initial import to SME9 contribs

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 2.7-2.sme
- apply locale 2013-07-14 patch

* Sun Jun 3 2012 JP PIALASSE tests@pialasse.com  2.7-1.sme
- Initial version
